provider "aws" {
	region = "${var.region}"
}

module "management-stack" {
	source = "../modules/management-stack"
	vpc_id = "${data.terraform_remote_state.vpc.vpc_id}"
	acct_name = "${var.acct_name}"
	key_name = "${var.key_name}"
	phase = "${var.environment}"
	management_subnet_ids = ["${data.terraform_remote_state.vpc.private_subnets}"]
	security_group_ids = ["${data.terraform_remote_state.vpc.general_access_sg_id}"]
	policy_arns = ["${data.terraform_remote_state.vpc.base_policy_arn}"]
	management_service_name = "${var.project}-management"
}
