variable "vpc_id" {
	description = "Which VPC to build this in."
}

variable "acct_name" {
	description = "Name of AWS account."
}

variable "instance_type" {
	default = "t2.small"
}

variable "key_name" {}

variable "management_subnet_ids" {
	type = "list"
	description = "Which subnets the management servers will be in. (Typically private.)"
}

variable "phase" {
	description = "Release phase of this environment. (Such as dev, stage, or prod.)"
	default = "dev"
}

variable "ami" {
	description = "Specify an AMI to use; if empty, use most recent amazon linux."
	default = ""
}

variable "security_group_ids" {
	type = "list"
	description = "Additional security groups the management servers will belong to. (Typically the general-access SG.)"
	default = []
}

variable "policy_arns" {
	type = "list"
	description = "Additional policy arns the management role will have. (Typically the base policy.)"
	default = []
}

variable "management_elb" {
	default = false
	description = "Whether to place management servers behind an ELB."
}

variable "management_data_efs" {
	default = true
	description = "Management instances share a common EFS filesystem.  If false, each has its own EBS volume."
}

variable "management_data_volume_size" {
	default = 20
	description = "Size of individual data volumes, if used."
}

variable "management_service_name" {
	default = "management"
}

variable "sns_events_name" {
	default = ""
	description = "Name of the SNS topic to which ASGs send notifications.  Defaults to {management_service_name}-events."
}

variable "sqs_events_name" {
	default = ""
	description = "Name of the SQS queue the events topic feeds, and the management system listens to.  Defaults to {management_service_name}-events."
}

variable "sns_alerts_name" {
	default = ""
	description = "Name of the SNS topic to which informational messages are sent, to be mailed to interested meat-based parties.  Defaults to {management_service_name}-alerts."
}
