variable "vpc_id" {
	description = "Which VPC to build this in."
}

variable "acct_name" {
	description = "Name of AWS account."
}

variable "notification_arns" {
	type = "list"
	description = "ARNs of SNS topics to send ASG event notifications to."
	default = ""
}

variable "module" {
	description = "Name of this application."
}

variable "stack" {
	description = "Subtype of module. (Such as 'master' or 'data'.)"
	default = ""
}

variable "country" {
	description = "'Country' code, which actually represents a specific AZ for us."
	default = ""
}

variable "phase" {
	description = "Release phase of this environment. (Such as dev, stage, or prod.)"
	default = "dev"
}

variable "suffix" {
	description = "Extra stuff tacked on to end of name."
	default = ""
}

variable "instance_type" {}

variable "key_name" {}

variable "public_ips" {
	default = false
}

variable "subnet_ids" {
	type = "list"
	description = "Which subnets the servers will be in."
}

variable "iam_allow_actions" {
	type = "list"
	default = []
	description = "Allowed actions to associate with the IAM role."
}

variable "iam_policy_arns" {
	type = "list"
	default = []
	description = "Additional policies to attach to IAM role."
}

variable "max_size" {
	description = "Defaults to 1 instance per subnet. (Cannot be zero.)"
	default = 0
}

variable "min_size" {
	default = 0
}

variable "health_check_grace_period" {
	default = 600
}

variable "ami" {
	description = "Specify an AMI to use; if empty, use most recent amazon linux."
	default = ""
}

variable "elb_sg_ids" {
	type = "list"
	description = "ID of elb security group, to allow access from."
	default = []
}

variable "elbs" {
	type = "list"
	default = []
}

variable "security_group_ids" {
	type = "list"
	description = "Additional security groups the servers will belong to."
	default = []
}
