variable "project" {
    description = "topmost classification name"
}

variable "environment" {
    description = "deployment environment of this vpc, e.g. prod, stage, dev"
    default = "dev"
}

variable "cidr" {
    description = "cidr block for this vpc"
}

variable "public_azs" {
    type = "list"
    description = "list of azs to use for public subnets in this vpc (full specification, such as us-east-1a)"
    default = []
}

variable "private_azs" {
    type = "list"
    description = "list of azs to use for private subnets in this vpc (full specification, such as us-east-1a)"
    default = []
}

variable "r53_domain_name" {
    description = "domain name for everything in this vpc"
    default = ""
}

variable "enable_dns_hostnames" {
    description = "should be true if you want to use private DNS within the VPC"
    default = true
}

variable "enable_dns_support" {
    description = "should be true if you want to use private DNS within the VPC"
    default = true
}

variable "enable_domain_name" {
    description = "configure dhcp option with r53_domain_name"
    default = false
}

variable "subnets_offset_public" {
    description = "start numbering public subnets with this value"
    default = 0
}

variable "subnets_offset_private" {
    description = "start numbering private subnets with this value"
    default = 128
}

variable "peering_connection_ids" {
    type = "list"
    description = "pcx ids of accepted vpc peerings"
    default = []
}

variable "ssh_allowed_cidr" {
    type = "list"
    description = "list of additional cidr blocks to allow SSH traffic from"
    default = []
}