provider "aws" {
	region = "${var.region}"
}

module "vpcaccess-stack" {
	source = "../modules/vpcaccess-stack"
	vpc_id = "${data.terraform_remote_state.vpc.vpc_id}"
	subnet_ids = "${data.terraform_remote_state.vpc.public_subnets}"
	security_group_ids = ["${data.terraform_remote_state.vpc.general_access_sg_id}"]
	role_policy_arns = ["${data.terraform_remote_state.vpc.role_policy_arn}"]
	key_name = "${var.key_name}"
	environment = "${var.environment}"
	acct_name = "${var.acct_name}"
	notification_arns = ["${data.terraform_remote_state.management.events_topic_arn}"]
}
